Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx
Enum JXImagePanel.Style

    java.lang.Object
      java.lang.Enum<JXImagePanel.Style>
          org.jdesktop.swingx.JXImagePanel.Style

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JXImagePanel.Style>

Enclosing class:
  JXImagePanel

    public static enum JXImagePanel.Style

extends java.lang.Enum<JXImagePanel.Style>

Enum Constant Summary
`CENTERED`
`SCALED`
`SCALED_KEEP_ASPECT_RATIO`
`TILED`

Method Summary
`static JXImagePanel.Style` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JXImagePanel.Style[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CENTERED

    public static final JXImagePanel.Style CENTERED

### TILED

    public static final JXImagePanel.Style TILED

### SCALED

    public static final JXImagePanel.Style SCALED

### SCALED_KEEP_ASPECT_RATIO

    public static final JXImagePanel.Style SCALED_KEEP_ASPECT_RATIO

Method Detail

### values

    public static JXImagePanel.Style[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JXImagePanel.Style c : JXImagePanel.Style.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JXImagePanel.Style valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.